<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="cn.reghao.tnb.file.app.zdisk.db.mapper.UserActivityMapper">
    <insert id="save" useGeneratedKeys="true" keyProperty="id">
        insert into disk_user_activity
        (`id`,`activity`,`create_time`,`create_by`)
        values
        (#{id},#{activity},#{createTime},#{createBy})
    </insert>
    <insert id="saveAll" useGeneratedKeys="true" keyProperty="id">
        insert into disk_user_activity
        (`id`,`activity`,`create_time`,`create_by`)
        values
        <foreach collection="list" item="item" index="index" separator=",">
            (#{item.id},#{item.activity},#{item.createTime},#{item.createBy})
        </foreach>
    </insert>
</mapper>
